Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Web and WebWorks Development

Reply
BlackBerry Development Advisor
MSohm
Posts: 14,752
Registered: ‎07-09-2008
My Device: BlackBerry Passport

AIR SDK 3.0 and WebWorks SDK

[ Edited ]

If you are using Adobe Air SDK 3.0 and do not have version 2.7 installed, please perform the following steps before installing the BlackBerry WebWorks SDK.

 

1)  In the root directory of Adobe Air SDK 3.0, open the "AIR SDK Readme.txt" file.

2)  In the first line, change the text "Adobe AIR 3.0 SDK" to "Adobe AIR 2.7 SDK"

 

This will allow you to install the WebWorks SDK for Tablet OS with the 3.0 Adobe AIR SDK installed.

 

The Adobe AIR SDK 2.7 can be downloaded here:  http://kb2.adobe.com/cps/853/cpsid_85304.html

Mark Sohm
BlackBerry Development Advisor

Please refrain from posting new questions in solved threads.
Problem solved? Click the Accept As Solution button.
Found a bug? Report it using Issue Tracker
New Developer
jbilderback
Posts: 10
Registered: ‎12-09-2009
My Device: Not Specified

Re: AIR SDK 3.0 and WebWorks SDK

[ Edited ]

Has anyone tried this?  I downloaded AIR SDK 3.0 today and  I followed the steps to change the readme file as indicated before I even downloaded the BB WebWorks SDK.  Then I downloaded and installed the BB WebWorks SDK.  I received the error that I have the incorrect AIR SDK selected.

 

I'm running this on Windows 7.

 

I tried putting 2.7.1 in the readme file  instead of 2.7 and now the installation worked.

New Member
mikestre
Posts: 1
Registered: ‎01-18-2013
My Device: BlackBerry Curve 9320 + Playbook

Re: AIR SDK 3.0 and WebWorks SDK

This problem still exists with the Webworks 2.2.0.5 SDK for Playbook OS, but the suggested fix does not work. Is there any update on what exactly the SDK is looking for in order to decide whether it is valid or not. Mike Street Milton Keynes, UK